[C029]企业专利风险预警趋势

post
https://connect.zhihuiya.com/company/enterprise-patent-risk-warning-trend
在体验中心中试用

该接口提供全球科创企业的专利风险预警数据变化情况,数据更新频率是每个月1号、16号,包含专利质押最新是否增加,专利诉讼最新是否增加等。

全球科创企业指覆盖满足以下条件之一的企业,①有专利申请或拥有专利,②有风险融资记录,③有科技资质的(高新技术企业、科技型中小企业等),④上市企业,⑤科技实力强的集团新成立的子公司。

company_name、credit_code、org_number三者必填其一,同时填写则以credit_code 为准,其次org_number,最后以company_name为准。

请求参数

此 API 接口支持的参数列表

名称类型示例描述
company_name
string小米科技有限责任公司
查询企业名称,单个查询
credit_code
string91110108551385082Q
查询企业的统一社会信用代码,单个查询
org_number
string5513850T82
查询企业的组织机构代码,单个查询

响应结构

API 响应数据的结构说明

字段名类型示例描述
data
object-
响应数据
org_number
string05669441-9
组织机构代码
credit_code
string913205940566944300
社会统一信用代码
company_name
string苏州瀚川智能科技股份有限公司
企业名称
patent_count_growth
objectPlease check the form: PatentCountGrowth
专利增长统计信息
apno_cnt_growth
integer<int32>14
专利申请数量同比前期增长量
rejected_growth
integer<int32>-
专利被驳回数量同比前期增长量
patent_pledge_growth
integer<int32>-
质押的专利数量同比前期增长量
patent_reexam_growth
integer<int32>-
被无效的专利数量同比前期增长量
patent_transfer_growth
integer<int32>-
转入的专利数量同比前期增长量
patent_transfer_out_growth
integer<int32>-
转出的专利数量同比前期增长量
active_invention_cnt_growth
integer<int32>1
有效的授权发明专利数量同比前期增长量
granted_invention_cnt_growth
integer<int32>1
授权的发明专利数量同比前期增长量
patent_litigation_defendant_growth
integer<int32>-
涉诉专利中被诉方的专利数量同比前期增长量
patent_litigation_plaintiff_growth
integer<int32>-
涉诉专利中的原诉方的专利数量同比前期增长量
patent_event_count_growth
objectPlease check the form: PatentEventCountGrowth
专利事件增长统计信息
pledge_growth
integer<int32>-
专利被质押事件数量同比前期增长量
reexam_growth
integer<int32>-
专利被无效事件数量同比前期增长量
transfer_growth
integer<int32>-
专利转入事件数量同比前期增长量
transfer_out_growth
integer<int32>-
专利转出事件数量同比前期增长量
litigation_defendant_growth
integer<int32>-
涉诉专利中被诉方的专利事件数量同比前期增长量
litigation_plaintiff_growth
integer<int32>-
涉诉专利中原诉方的专利事件数量同比前期增长量
status
必填
booleanfalse
状态
error_msg
stringThe request parameter format is incorrect!
错误信息
error_code
必填
integer0
错误代码

成功响应示例

成功调用 API 的响应示例

JSON
{
  "data": {
    "org_number": "05669441-9",
    "credit_code": 913205940566944300,
    "company_name": "苏州瀚川智能科技股份有限公司",
    "patent_count_growth": {
      "apno_cnt_growth": 14,
      "rejected_growth": 0,
      "patent_pledge_growth": 0,
      "patent_reexam_growth": 0,
      "patent_transfer_growth": 0,
      "patent_transfer_out_growth": 0,
      "active_invention_cnt_growth": 1,
      "granted_invention_cnt_growth": 1,
      "patent_litigation_defendant_growth": 0,
      "patent_litigation_plaintiff_growth": 0
    },
    "patent_event_count_growth": {
      "pledge_growth": 0,
      "reexam_growth": 0,
      "transfer_growth": 0,
      "transfer_out_growth": 0,
      "litigation_defendant_growth": 0,
      "litigation_plaintiff_growth": 0
    }
  },
  "status": true,
  "error_code": 0
}

错误码

此接口可能返回的错误码列表

业务错误码

错误码描述
68300004请求参数异常!
68300005查询Api失败!
68300006解析基本存取错误!
68300007存在错误的请求!
68300008服务中断异常,请稍后再试!
68300010文件不符合上传规范!

平台错误码

错误码描述
67200001API整体限流错误!
67200002用户调用请求限流限制错误!
67200003申请token的key和secret不正确或者状态错误!
67200004无权限或该接口的套餐已超过系统设置的上限!
67200005账户余额不足,调用失败!
67200006客户端已过期,调用失败!
67200007超过调用额度,调用失败!

HTTP 状态码

状态码描述
0请求成功
201Created
401Unauthorized
403Forbidden
404Not Found
68300012企业数据不存在